# Ipopt Scilab toolbox

## Purpose 

The goal of this toolbox is to provide an interface to **IPOPT**,
an optimization solver based on an Interior Point algorithm.

This module is mainly based on compiled source code.

## Dependencies

In order to compile this module, you must compile its dependencies first (METIS, MUMPS, IPOPT). 

 * Linux and macOS

Go in the `thirdparty/build` directory and type
  
```
sh build.sh
```
If the build process is successfull, the libraries should be installed in `thirdparty/Linux/` or  
`thirdparty/Darwin/` depending on your platform

 * Windows
 
 Although the Windows build of the toolbox is not yet ready, you can anyway download the binaries of Ipopt at
 
 <https://github.com/coin-or/Ipopt/releases/download/releases%2F3.13.2/Ipopt-3.13.2-win64-msvs2019-md.zip>
 
and safely unzip this archive in the thirdparty/Windows folder.


##B uild the toolbox

Once the dependencies are installed, execute `builder.sce` from within Scilab
and pray.

## Authors

2008 - Yann Collette

2009-2010 - Consortium Scilab - Digiteo - Yann Collette

2010 - Consortium Scilab - Digiteo - Michael Baudin

2020 - Stéphane Mottelet

## Licence

This toolbox is released under the GPL v2 licence.
