//
// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) 2020 - Stephane MOTTELET
//
// This file is hereby licensed under the terms of the GNU GPL v2.0,
// For more information, see the COPYING file which you should have received
//
//--------------------------------------------------------------------------

path_builder = get_absolute_file_path('builder_gateway_cpp.sce');
path_root = fullfile(path_builder,'..','..');
cd(path_builder);

files_to_compile = path_root+['/sci_gateway/cpp/sci_ipopt.cpp'
'/src/cpp/parameters.cpp'
'/src/cpp/OptimizationManager.cpp'
'/src/cpp/IpoptTNLP.cpp'
'/src/cpp/manage_ipopt_params.cpp'
'/src/cpp/scilabjournal.cpp'
'/src/cpp/scilabexception.cpp'];

tools_path  = fullfile(path_root,'thirdparty',getos());
include_ipopt = fullfile(tools_path,'include','coin-or');  
cflags = ' -g -I' + fullfile(path_root,'includes');
cflags = cflags + ' -DUSE_MUMPS'
cflags = cflags + ' -I' + include_ipopt;

ldflags  = '-L' + fullfile(tools_path,'lib') + ' -lipopt -lcoinmumps';

//ilib_verbose(2)
ilib_build('ipopt', ['ipopt', 'sci_ipopt','cppsci'], files_to_compile , [], [], ldflags, cflags)
